Skip to content
WP Engine Documentation

Get an account user by ID

GET
/accounts/{account_id}/account_users/{user_id}
curl --request GET \
--url https://api.wpengineapi.com/v1/accounts/example/account_users/example \
--header 'Authorization: Basic <credentials>'

Returns a single account user

account_id
required
string format: uuid

ID of account

user_id
required
string format: uuid

ID of the user

Success

Media type application/json
object
user_id
required

The user ID

string format: uuid
account_id
required

The account ID

string format: uuid
first_name
required

The first name of the user

string
last_name
required

The last name of the user

string
email
required

The email of the user

string
phone
required

The phone number of the user

string
invite_accepted
required

Whether or not the user has accepted their invitation

boolean
mfa_enabled
required

Whether or not the user has multi-factor authentication enabled

boolean
roles
required

The user roles

string
last_owner

Whether or not this owner is the last on the account. Only shows with users that have owner level roles.

boolean
installs

An array of installs tied to a partial user.

Array<object>
object
id

The ID of the install

string
name

The name of the install

string
Example
{
"user_id": "28c78b6d-c2da-4f09-85f5-1ad588089b2d",
"account_id": "eeda3227-9a39-46ae-9e14-20958bb4e6c9",
"first_name": "Joe",
"last_name": "Smith",
"email": "joeSmith@test.com",
"phone": "1234567890",
"invite_accepted": false,
"mfa_enabled": true,
"roles": "billing, partial",
"last_owner": false,
"installs": [
{
"id": "3hda2d4h-9a39-o20x-9e14-20958bb4ekd8",
"name": "install1"
}
]
}

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Media type application/json

Service unavailable

Media type application/json